## ros-kinetic-roch-control 2.0.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roch_control)

find_package(catkin REQUIRED COMPONENTS roslaunch roscpp geometry_msgs joy)

include_directories(${catkin_INCLUDE_DIRS})
catkin_package(
  INCLUDE_DIRS
  CATKIN_DEPENDS roscpp geometry_msgs joy
  DEPENDS
)

roslaunch_add_file_check(launch)


install(DIRECTORY config launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-roch-control (2.0.15-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sun, 17 Sep 2017 16:00:00 -0000

ros-kinetic-roch-control (2.0.14-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sun, 17 Sep 2017 16:00:00 -0000

ros-kinetic-roch-control (2.0.13-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Wed, 22 Mar 2017 16:00:00 -0000

ros-kinetic-roch-control (1.0.13-0xenial) xenial; urgency=high

  * Update twist_mux.yaml.
  * Modified localization file.

 -- Carl <wzhang@softrobtech.com>  Wed, 22 Mar 2017 16:00:00 -0000

ros-kinetic-roch-control (1.0.12-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Wed, 15 Feb 2017 16:00:00 -0000

ros-kinetic-roch-control (1.0.11-0xenial) xenial; urgency=high

  * Add missing dependence: create_node

 -- Carl <wzhang@softrobtech.com>  Mon, 06 Feb 2017 16:00:00 -0000

ros-kinetic-roch-control (1.0.10-0xenial) xenial; urgency=high

  * Add author Paul Bovbel of Clearpath.

 -- Carl <wzhang@softrobtech.com>  Sun, 22 Jan 2017 16:00:00 -0000

ros-kinetic-roch-control (1.0.9-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sat, 21 Jan 2017 16:00:00 -0000

ros-kinetic-roch-control (1.0.8-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sat, 21 Jan 2017 16:00:00 -0000

ros-kinetic-roch-control (1.0.7-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Fri, 20 Jan 2017 16:00:00 -0000

ros-kinetic-roch-control (1.0.6-0xenial) xenial; urgency=high



 -- Carl <wzhang@softrobtech.com>  Mon, 16 Jan 2017 16:00:00 -0000

ros-kinetic-roch-control (0.0.1-0xenial) xenial; urgency=high

  * Initial development of roch_control for roch indigo release
  * Refrence husky_control.
  * Contributors: Carl

 -- Carl <wzhang@softrobtech.com>  Thu, 29 Sep 2016 16:00:00 -0000

=== debian/control ===
Source: ros-kinetic-roch-control
Section: misc
Priority: extra
Maintainer: Carl <wzhang@softrobtech.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-joy, ros-kinetic-roscpp, ros-kinetic-roslaunch
Homepage: http://wiki.ros.org/roch_control
Standards-Version: 3.9.2

Package: ros-kinetic-roch-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-controller-manager, ros-kinetic-create-node, ros-kinetic-diff-drive-controller, ros-kinetic-geometry-msgs, ros-kinetic-interactive-marker-twist-server, ros-kinetic-joint-state-controller, ros-kinetic-joint-trajectory-controller, ros-kinetic-joy, ros-kinetic-robot-localization, ros-kinetic-roscpp, ros-kinetic-rostopic, ros-kinetic-teleop-twist-joy, ros-kinetic-twist-mux
Description: SawYer roch controller configurations

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-roch-control//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
